import argparse

import os


def main(args):
    uai_filename = os.path.basename(args.uai_file_path)  # e.g., tmpFpsUfu
    mar_path = uai_filename + '.MAR'

    with open(args.uai_file_path) as f, open(mar_path, 'w') as of:
        line = f.readline().strip()
        assert line == 'MARKOV'
        of.write('MAR\n')

        line = f.readline().strip()
        num_var = int(line)
        of.write('%d ' % num_var)

        line = f.readline().strip()
        cardinalities = [int(card_str) for card_str in line.split()]
        assert len(cardinalities) == num_var
        for c in cardinalities:
            marginal = [0] * c
            marginal[0] = 1

            of.write('%d %s ' % (c, ' '.join(str(m) for m in marginal)))

        of.write('\n')


if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    parser.add_argument('uai_file_path')
    args = parser.parse_args()
    main(args)
