from sqlalchemy import Column, String, Float, PrimaryKeyConstraint

import effusion


class DatasetUniprot(effusion.EffusionBase):
    __tablename__ = 'dataset_uniprots'
    __table_args__ = (PrimaryKeyConstraint('dataset_name', 'uniprot'),)

    # training, validation, or test
    dataset_name = Column(String(length=40))

    uniprot = Column(String(length=10))

    ic = Column(Float())
    mf_ic = Column(Float())
    bp_ic = Column(Float())
    cc_ic = Column(Float())

    def __init__(self, dataset_name, uniprot, ic, mf_ic, bp_ic, cc_ic):
        self.dataset_name = dataset_name
        self.uniprot = uniprot
        self.ic = ic
        self.mf_ic = mf_ic
        self.bp_ic = bp_ic
        self.cc_ic = cc_ic

    def __str__(self):
        return '(%s, %s, %f, %f, %f, %f)' % (
            self.dataset_name, self.uniprot, self.ic, self.mf_ic, self.bp_ic, self.cc_ic)

    def __repr__(self):
        return str(self)
